package pl.helion.j2mepp.lokalizator.dto;

public class Powiazanie {
    private int ID1;
    private int ID2;

    public int getID1() {
        return ID1;
    }

    public void setID1(int ID1) {
        this.ID1 = ID1;
    }

    public int getID2() {
        return ID2;
    }

    public void setID2(int ID2) {
        this.ID2 = ID2;
    }

    public boolean equals(Object o) {
        if (!(o instanceof Powiazanie))
            return false;
        Powiazanie p = (Powiazanie)o;
        return (p.getID1() == this.getID1() && p.getID2() == this.getID2());
    }

    public int hashCode() {
        return this.getID1()+this.getID2();
    }

}
